From: [email-masked] (Food For Cats)

Hello, You don't know me, but I came across your lame.c code
and instantly fell in love with it.  I had to port it to REXX
so that it could be used on a VM/CMS machine that we all love
and adore up here, and I really hope you don't mind.  But, here
is a copy of my port, and I hope you find it acceptable,
<catfood>

/**********
 **********  The Lame Filter                  Version 2.7.lame.lame.lame
 **********  by zorgo <[email-masked]>  07/11/93
 **********
 **********  This code is too lame to be Commercial,
 **********  too lame to be Shareware,
 **********  too lame to be Public Domain,
 **********  too lame to be GNU copylefted,
 **********  it's Lameware!
 **********
 **********/

/* Ported from C to REXX, because it's too lame to be in C
   by Chuck Grunden <[email-masked]>
                                              Version 1.0.lame.rexx.lame
                                              02/27/95
*/

address command
parse arg who in
if who = '' then call usage
if in = '' then call usage
in = strip(in)
last = length(in)
j = 1
out = ''
do while j <= last
  if substr(in,j,3) = 'you' | substr(in,j,3) = 'You' then do
    out = out || 'U'
    j = j + 2
  end
  else if substr(in,j,3) = 'and' | substr(in,j,3) = 'And' then do
    out = out || '&'
    j = j + 2
  end
  else if substr(in,j,3) = 'for' | substr(in,j,3) = 'For' then do
    out = out || '4'
    j = j + 2
    if substr(in,j+1,1) = 'e' then j = j + 1
  end
  else if substr(in,j,1) = 'o' | substr(in,j,1) = 'O' then do
    if random(1,3) = 1 then
      out = out || '()'
    else out = out || 'O'
  end
  else if (substr(in,j,1) = 'i' | substr(in,j,1) = 'I') & random(1,5) < 3  then
    out = out || '1'
  end
  else if substr(in,j,1) = 'l' & random(1,3) = 1 then do
    out = out || '|'
  end
  else if substr(in,j,2) = 's.' then do
    out = out || 'zz'
    j = j + 1
  end
  else if (substr(in,j,1) = 'e' | substr(in,j,1) = 'E') & random(1,5) < 3  then
    out = out || '3'
  end
  else out = out || substr(in,j,1)
  j = j + 1
end
EXEC MM who out
say out
exit 0

USAGE:
say '********** The Lamer Filter, Version 1.0.lame.REXX.lame'
say '********* Concept by zorgo <[email-masked]>'
say '******** Ported from C to REXX by Catfood <[email-masked]>'
say '*******'
say '****** Usage is:'
say '***** LAME <nick> <text to be lamerized>'
say '****'
say '*** U ar3 |am3'
exit 0